from django.contrib import admin
from djangoldp.admin import DjangoLDPAdmin
from djangoldp.models import Model
from .models import Notification, NotificationSetting, Subscription, VAPIDKeyset
 
 

class NotificationSettingAdmin(DjangoLDPAdmin):
     ordering = ['urlid']
 
 
class VAPIDKeysetAdmin(DjangoLDPAdmin):
	readonly_fields = ('public_key_view', 'private_key_view')

	def public_key_view(self, obj):
		return obj.public_key.tobytes()

	def private_key_view(self, obj):
		return obj.private_key.tobytes()

admin.site.register(Notification, NotificationAdmin)
admin.site.register(Subscription, SubscriptionAdmin)
admin.site.register(NotificationSetting, NotificationSettingAdmin)
admin.site.register(VAPIDKeyset, VAPIDKeysetAdmin)